Reply Create¶
POST /api/v1/issue/reply/create
Overview¶
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| issueUUID | string | Y | The UUID of the issue to reply to. Example: issueUUID Allow Empty: False |
| attachmentUuids | array | List of uploaded attachment UUIDs for the reply. Example: [] Allow Empty: True |
|
| content | string | Reply content. Example: answer_xxx Allow Empty: True Allow Empty String: True $maxCustomLength: 65535 |
|
| extend | json | Y | Additional extended information, default is {} if no content. Example: {} Allow Empty: True |
Parameter Supplementary Description¶
Basic Parameter Description
| Parameter Name | Parameter Type | Required | Parameter Description |
|---|---|---|---|
| issueUUID | string | Y | The UUID of the issue to reply to. |
| attachmentUuids | array | N | List of attachment UUIDs for the reply issue, must be uploaded first via the /api/v1/attachment/upload interface. |
| content | string | N | The content of the reply. |
| attachmentUuids | array | N | List of uploaded attachment UUIDs. |
| extend | json | Y | Extended field, default pass {}. |
Extended Field extend Description
In update scenarios, the roles of channels and channelUUIDs will default to associating with the default channel and any appended channels. If [] is passed, it will only exist in the workspace's default channel by default.
| Parameter Name | Parameter Type | Required | Parameter Description |
|---|---|---|---|
| channels | array | N | List of resources expected for the issue delivery. |
| members | array | N | Notification target members expected to be notified for the issue. |
| extra | json | N | Information related to the reply creator, such as name, for frontend display. |
Example of the extend field:
{
"members": [
{
"type": "@",
"uuid": "acnt_xxxx32",
"exists": true
}
],
"channels": [
{
"type": "#",
"uuid": "chan_xxxx32",
"exists": true
}
],
"extra": {
"creator": {
"name": "xxx",
"email": "[email protected]",
}
}
}
Request Example¶
curl 'https://openapi.truewatch.com/api/v1/issue/reply/create' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"issueUUID":"issue_xxxx32","content":"aaa","attachmentUuids":[],"extend":{"members":[],"channels":[],"linkList":[]}}'\
--compressed
Response¶
{
"code": 200,
"content": {
"content": "aaa",
"createAt": 1690810887,
"creator": "acnt_xxxx32",
"deleteAt": -1,
"extend": {
"channels": [],
"linkList": [],
"members": []
},
"id": null,
"issueUUID": "issue_xxxx32",
"status": 0,
"type": "reply",
"updateAt": 1690810887,
"updator": "acnt_xxxx32",
"uuid": "repim_xxxx32",
"workspaceUUID": "wksp_xxxx32"
},
"errorCode": "",
"message": "",
"success": true,
"traceId": "10459577100278308134"
}